{smcl}
{cmd:help regeq}
{hline}

{title:Title}
{phang}

{bf:regeq} {hline 2} Postestimation command to {bf:regress, logit, logistic, stcox}: 
    generate macro for fitted equation


{title:Syntax}

{p 8 17 2}
{bf:regeq} [, format(string)]

{title:Description}

List estimated equation and equation and
Generate global macros, with estimated coefficents and estimated equation.
 $b0,... ,$bk: the k estimated coeffcients
 
{title:Examples}

	{inp:. xi:regress mpg weight i.foreign i.rep78}
	{inp:. regeq, format(%12.8f)}
	
	{inp:. twoway                                                                /// }
	{inp:. (function $b0+ $b1 * x        +  $b4 ,range(weight)  lcolor(red))    /// }
	{inp:. (function $b0+ $b1 * x        +  $b5 ,range(weight)  lcolor(blue))   ///  }
	{inp:. (function $b0+ $b1 * x +  $b2 +  $b4 ,range(weight)  lcolor(red))    /// }
	{inp:. (function $b0+ $b1 * x +  $b2 +  $b5 ,range(weight)  lcolor(blue) )  /// }
 	{inp:. ,legend( label(1 "domestic 3 repairs") label(2 "domestic 4 repairs")  ///}
  	{inp:. label(3 "foreign 3 repairs") label(4 "foreign 4 repairs") ) }

{title:Authors}

Morten Frydenberg 
School of Public Health, Aarhus University, Denmark
Email: {browse "mailto:morten@biostat.au.dk":morten@biostat.au.dk}



